Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 655150 (CVE-2018-10583)

Summary: app-office/libreoffice: Information disclosure via SMB connection embedded in malicious file
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: IN_PROGRESS ---    
Severity: minor CC: office
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://security-tracker.debian.org/tracker/CVE-2018-10583
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=1574998
Whiteboard: A4 [upstream]
Package list:
Runtime testing required: ---

Description Agostino Sarubbo gentoo-dev 2018-05-07 10:08:20 UTC
From ${URL} :

An information disclosure vulnerability occurs when LibreOffice 6.0.3 and Apache OpenOffice Writer 4.1.5 automatically process and initiate an SMB connection embedded in a malicious file, as 
demonstrated by xlink:href=file://192.168.0.2/test.jpg within an office:document-content element in a .odt XML document.

References:

http://secureyourit.co.uk/wp/2018/05/01/creating-malicious-odt-files/


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Andreas Sturmlechner gentoo-dev 2018-05-27 07:32:40 UTC
Fedora tracker is completely useless...